Bug 764775 - (GLUSTER-3043) Replacebrick shows status unknown when source brick is down
Replacebrick shows status unknown when source brick is down
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.2.1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 07:26 EDT by Lakshmipathi G
Modified: 2015-11-03 18:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lakshmipathi G 2011-06-16 07:26:01 EDT
When glusterfs process not running on source brick. Replacebrick says status unknown.

[root@centos-rahul-1 glusterfs-3.2.1]# gluster volume replace-brick Geo 10.1.12.172:/export/jun16 10.1.12.173:/export/jun16 status
replace-brick status unknown
Comment 1 Anand Avati 2011-11-18 04:22:28 EST
CHANGE: http://review.gluster.com/650 (Also, volume status cmd would print "N/A" if pid couldn't be) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2011-11-18 04:24:45 EST
CHANGE: http://review.gluster.com/651 (Change-Id: I686494c9c2d01fd027d333b267334842cb1dc875) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.